Soliciting Feedback on Next-generation Commerce Server OS/Database Platform Support

While Commerce Server 2009 was being launched last week at Mix ’09, those of us involved in product development are already hard at work on the next version. And we need your feedback! 

One of the key themes of the next version is providing a single, unified setup experience. In order to best do that, we need to optimize which platforms are supported. Our current proposal is to support and optimize for:

  • 64-bit operating systems only
  • Windows Server 2008 and Windows Server 2008 R2
  • SQL Server 2008 and pre-release testing for the next version of SQL Server
  • SharePoint 2007 and SharePoint 14 (both WSS and MOSS)
  • BizTalk Server 2006 R2 and BizTalk Server 2009
  • Visual Studio 2008 and higher

What this means is that we would be CUTTING support for:

  • Windows Server 2003 and R2
  • SQL Server 2000 and SQL Server 2005
  • Visual Studio 2005 

BizTalk experts will note that the newer platforms are not supported by BizTalk Server 2006; you will be able to run the BTS adapters if still using BTS2006 R2 on a Windows Server 2003 / SQL Server 2005 setup against a next-generation Commerce Server deployment on the newer platforms.

To reiterate, this is just a **PROPOSAL** at this stage and should be considered draft. Please use the comment facility and let us know whether this will – or won’t – work for you – and let us know!

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s